bitel.billing.server.task.bean

## Class RunTaskRecalculator<T extends ru.bitel.bgbilling.kernel.task.server.TaskBase>

- java.lang.Object
- - bitel.billing.server.task.bean.RunTask
  - - bitel.billing.server.task.bean.RunTaskRecalculator<T>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Runnable
  Direct Known Subclasses:
    MangoFeesFtpReloader, Recalculator, Recalculator

      public abstract class RunTaskRecalculator<T extends ru.bitel.bgbilling.kernel.task.server.TaskBase>
      extends RunTask

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Calendar` | `dt`
    `protected java.lang.String` | `email`
    `protected int` | `mid`

    - ### Fields inherited from class bitel.billing.server.task.bean.RunTask

      `log, setup`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RunTaskRecalculator()`
    `` | `RunTaskRecalculator(int mid, java.util.Calendar dt, java.lang.String email)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `createTask()`
    `protected void` | `executeTask()`
    `java.lang.String` | `getDescription()`

    - ### Methods inherited from class bitel.billing.server.task.bean.RunTask

      `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### dt

          protected java.util.Calendar dt

    - #### email

          protected java.lang.String email

  - ### Constructor Detail

    - #### RunTaskRecalculator

          protected RunTaskRecalculator()

    - #### RunTaskRecalculator

          public RunTaskRecalculator(int mid,
                                     java.util.Calendar dt,
                                     java.lang.String email)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `RunTask`

    - #### executeTask

          protected void executeTask()

      Specified by:
        `executeTask` in class `RunTask`

    - #### createTask

          protected abstract T createTask()